diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertSubjMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertSubjMap.java
index 15f845cb698a1c7bb63591de8bdad1730f9ce52c..4d5ff38c89c2be56f009ce6aabfe40a70dccecc9 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertSubjMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapCertSubjMap.java
@@ -205,8 +205,6 @@ public class LdapCertSubjMap implements ILdapMapper, IExtendedPluginInfo {
             }
         }
         try {
-            boolean hasCert = false;
-            boolean hasSubjectName = false;
             String[] attrs = new String[] { LDAPv3.NO_ATTRS };
 
             log(ILogger.LL_INFO, "search " + mSearchBase +
@@ -280,8 +278,6 @@ public class LdapCertSubjMap implements ILdapMapper, IExtendedPluginInfo {
             return v;
         }
         try {
-            boolean hasCert = false;
-            boolean hasSubjectName = false;
             String[] attrs = new String[] { LDAPv3.NO_ATTRS };
 
             log(ILogger.LL_INFO, "search " + mSearchBase +
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapEnhancedMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapEnhancedMap.java
index 7fd2bb44e6a6334d083f25d39c2a0cb9bbca5b83..c9a7f867cdd9363155c1ebcceaec7f567ac7cf4d 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapEnhancedMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapEnhancedMap.java
@@ -192,8 +192,6 @@ public class LdapEnhancedMap
 
         try {
             mPattern = new MapDNPattern(mDnPattern);
-            String[] mReqAttrs = mPattern.getReqAttrs();
-            String[] mCertAttrs = mPattern.getCertAttrs();
         } catch (ELdapException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("PUBLISH_DN_PATTERN_INIT",
diff --git a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapSimpleMap.java b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapSimpleMap.java
index b3177787ffa00a4beeca79295f57ea789ebd7eda..642729673a305fe1baf4838e5b0d274f418e414c 100644
--- a/pki/base/common/src/com/netscape/cms/publish/mappers/LdapSimpleMap.java
+++ b/pki/base/common/src/com/netscape/cms/publish/mappers/LdapSimpleMap.java
@@ -138,8 +138,6 @@ public class LdapSimpleMap implements ILdapMapper, IExtendedPluginInfo {
             mDnPattern = DEFAULT_DNPATTERN;
         try {
             mPattern = new MapDNPattern(mDnPattern);
-            String[] mReqAttrs = mPattern.getReqAttrs();
-            String[] mCertAttrs = mPattern.getCertAttrs();
         } catch (ELdapException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("PUBLISH_DN_PATTERN_INIT",
                     dnPattern, e.toString()));
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/OCSPPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/OCSPPublisher.java
index 551bb4d6f370f6cfd1eb4a31c4a9e6585a4daab6..80abd5f771ee56639188a744b4f332d2c0f1345d 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/OCSPPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/OCSPPublisher.java
@@ -95,8 +95,8 @@ public class OCSPPublisher implements ILdapPublisher, IExtendedPluginInfo {
     /**
      * Returns the current instance parameters.
      */
-    public Vector getInstanceParams() {
-        Vector v = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> v = new Vector<String>();
         String host = "";
         String port = "";
         String path = "";
@@ -134,8 +134,8 @@ public class OCSPPublisher implements ILdapPublisher, IExtendedPluginInfo {
     /**
      * Returns the initial default parameters.
      */
-    public Vector getDefaultParams() {
-        Vector v = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> v = new Vector<String>();
 
         IConfigStore config = CMS.getConfigStore();
         String nickname = "";
@@ -301,7 +301,6 @@ public class OCSPPublisher implements ILdapPublisher, IExtendedPluginInfo {
                     ILogger.LL_INFO, "OCSPPublisher: start getting response");
             DataInputStream dis = new DataInputStream(socket.getInputStream());
             String nextline;
-            String line = "";
             String error = "";
             boolean status = false;
 
diff --git a/pki/base/common/src/com/netscape/cms/selftests/tks/TKSKnownSessionKey.java b/pki/base/common/src/com/netscape/cms/selftests/tks/TKSKnownSessionKey.java
index a1298727cab37c75f8a1ebb610aa1ba152e9edde..69edeb24fb48b388af2562d3b992d1114a685a79 100644
--- a/pki/base/common/src/com/netscape/cms/selftests/tks/TKSKnownSessionKey.java
+++ b/pki/base/common/src/com/netscape/cms/selftests/tks/TKSKnownSessionKey.java
@@ -88,7 +88,6 @@ public class TKSKnownSessionKey
             EMissingSelfTestException {
         ISubsystem tks = null;
         IConfigStore tksConfig = null;
-        String logMessage = null;
 
         super.initSelfTest(subsystem, instanceName, parameters);
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
index e021891422602b20cb23d765ad2c2b4d015162a8..8f1024723c9c57d1c2fb910de363e629269fd3b6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/AdminServlet.java
@@ -290,7 +290,6 @@ public class AdminServlet extends HttpServlet {
             IOException {
 
         String auditMessage = null;
-        String auditSubjectID = ILogger.UNIDENTIFIED;
         String auditUID = ILogger.UNIDENTIFIED;
         String authType = "";
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java
index d1924aa93fab5615da1b9b72b636bb4c00815e2a..6a7ad959915df4739d7335e55e42cbf1ec2708fc 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/AuthAdminServlet.java
@@ -1204,9 +1204,7 @@ public class AuthAdminServlet extends AdminServlet {
             // only remove from memory
             // cannot shutdown because we don't keep track of whether it's
             // being used. 
-            IAuthManager mgrInst = (IAuthManager) mAuths.get(id);
-
-            mAuths.getInstances().remove((Object) id);
+            mAuths.getInstances().remove(id);
 
             // remove the configuration.
             IConfigStore destStore =
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
index 2c6ba3dbcdb6b2081e3561eeacd7dfdd5df7a081..5bcaa46d27714a29ae7b561db6148d7dd36a6e2a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
@@ -32,7 +32,6 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
-import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICMSCRLExtensions;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
@@ -348,9 +347,6 @@ public class CAAdminServlet extends AdminServlet {
 
                 if ((!template.exists()) || (!template.canRead())
                         || (template.isDirectory())) {
-                    String error =
-                            "Template: " + val + " does not exist or invalid";
-
                     log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_INVALID_PATH"));
 
                     sendResponse(ERROR,
@@ -404,9 +400,6 @@ public class CAAdminServlet extends AdminServlet {
 
                 if ((!template.exists()) || (!template.canRead())
                         || (template.isDirectory())) {
-                    String error =
-                            "Template: " + val + " does not exist or invalid";
-
                     log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_INVALID_PATH"));
 
                     sendResponse(ERROR,
@@ -1535,16 +1528,12 @@ public class CAAdminServlet extends AdminServlet {
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
 
-        ISubsystem eeGateway = null;
-
         /*
          ISubsystem eeGateway = 
          SubsystemRegistry.getInstance().get("eeGateway");
          */
-        IConfigStore eeConfig = null;
-
-        IConfigStore caConfig = mCA.getConfigStore();
 
+        @SuppressWarnings("unchecked")
         Enumeration<String> enum1 = req.getParameterNames();
         boolean restart = false;
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index b77de59c68733f9279548dcd053b000caaec2000..6161a20d6644d46c338e758d75d3934d5d5b4de4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -62,7 +62,6 @@ import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.common.OpDef;
 import com.netscape.certsrv.common.ScopeDef;
-import com.netscape.certsrv.dbs.IDBSubsystem;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -357,7 +356,6 @@ public final class CMSAdminServlet extends AdminServlet {
         Enumeration<ISubsystem> e = CMS.getSubsystems();
 
         while (e.hasMoreElements()) {
-            String type = "";
             ISubsystem sys = (ISubsystem) e.nextElement();
 
             //get subsystem type
@@ -386,11 +384,8 @@ public final class CMSAdminServlet extends AdminServlet {
         boolean isCAInstalled = false;
         boolean isRAInstalled = false;
         boolean isKRAInstalled = false;
-        boolean isOCSPInstalled = false;
-        boolean isTKSInstalled = false;
 
         while (e.hasMoreElements()) {
-            String type = "";
             ISubsystem sys = (ISubsystem) e.nextElement();
 
             //get subsystem type
@@ -400,10 +395,6 @@ public final class CMSAdminServlet extends AdminServlet {
                 isRAInstalled = true;
             else if (sys instanceof ICertificateAuthority)
                 isCAInstalled = true;
-            else if (sys instanceof IOCSPAuthority)
-                isOCSPInstalled = true;
-            else if (sys instanceof ITKSAuthority)
-                isTKSInstalled = true;
 
         }
 
@@ -469,10 +460,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
             params.add(Constants.PR_CERT_TRANS, getCertNickname(kraNickname));
         }
-        if (isTKSInstalled) {
-            ITKSAuthority tks = (ITKSAuthority)
-                    CMS.getSubsystem(CMS.SUBSYSTEM_TKS);
-        }
+
         String nickName = CMS.getServerCertNickname();
 
         params.add(Constants.PR_CERT_SERVER, getCertNickname(nickName));
@@ -547,11 +535,8 @@ public final class CMSAdminServlet extends AdminServlet {
             boolean isCAInstalled = false;
             boolean isRAInstalled = false;
             boolean isKRAInstalled = false;
-            boolean isOCSPInstalled = false;
-            boolean isTKSInstalled = false;
 
             while (e.hasMoreElements()) {
-                String type = "";
                 ISubsystem sys = (ISubsystem) e.nextElement();
 
                 //get subsystem type
@@ -561,16 +546,11 @@ public final class CMSAdminServlet extends AdminServlet {
                     isRAInstalled = true;
                 else if (sys instanceof ICertificateAuthority)
                     isCAInstalled = true;
-                else if (sys instanceof IOCSPAuthority)
-                    isOCSPInstalled = true;
-                else if (sys instanceof ITKSAuthority)
-                    isTKSInstalled = true;
             }
 
             ICertificateAuthority ca = null;
             IRegistrationAuthority ra = null;
             IKeyRecoveryAuthority kra = null;
-            ITKSAuthority tks = null;
 
             if (isCAInstalled)
                 ca = (ICertificateAuthority) CMS.getSubsystem(CMS.SUBSYSTEM_CA);
@@ -578,8 +558,6 @@ public final class CMSAdminServlet extends AdminServlet {
                 ra = (IRegistrationAuthority) CMS.getSubsystem(CMS.SUBSYSTEM_RA);
             if (isKRAInstalled)
                 kra = (IKeyRecoveryAuthority) CMS.getSubsystem(CMS.SUBSYSTEM_KRA);
-            if (isTKSInstalled)
-                tks = (ITKSAuthority) CMS.getSubsystem(CMS.SUBSYSTEM_TKS);
 
             boolean isCACert = true;
 
@@ -906,7 +884,7 @@ public final class CMSAdminServlet extends AdminServlet {
 
         }
         if (selectedToken != null && newKeyName != null) {
-            String symKeys = SessionKey.GenMasterKey(selectedToken, newKeyName);
+            SessionKey.GenMasterKey(selectedToken, newKeyName); // check for errors
             CMS.getConfigStore().putString("tks.defaultSlot", selectedToken);
             String masterKeyPrefix = CMS.getConfigStore().getString("tks.master_key_prefix", null);
 
@@ -934,9 +912,6 @@ public final class CMSAdminServlet extends AdminServlet {
             if (name.equals(Constants.PR_TOKEN_LIST)) {
                 String selectedToken = req.getParameter(name);
 
-                int count = 0;
-                int keys_found = 0;
-
                 ICryptoSubsystem jssSubSystem = (ICryptoSubsystem) CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
 
                 CryptoToken token = null;
@@ -1125,9 +1100,7 @@ public final class CMSAdminServlet extends AdminServlet {
             String certType = Constants.PR_CA_SIGNING_CERT;
             String dir = "";
             String pathname = "";
-            String serverID = "";
             String otherNickname = "";
-            String certSubType = "";
             String keyCurveName = "";
 
             while (enum1.hasMoreElements()) {
@@ -1145,12 +1118,8 @@ public final class CMSAdminServlet extends AdminServlet {
                     certType = value;
                 } else if (key.equals(Constants.PR_SUBJECT_NAME)) {
                     subjectName = value;
-                } else if (key.equals(Constants.PR_SERVER_ID)) {
-                    serverID = value;
                 } else if (key.equals(Constants.PR_NICKNAME)) {
                     otherNickname = value;
-                } else if (key.equals(Constants.PR_CERTIFICATE_SUBTYPE)) {
-                    certSubType = value;
                 } else if (key.equals(Constants.PR_KEY_CURVENAME)) {
                     keyCurveName = value;
                 }
@@ -1495,27 +1464,17 @@ public final class CMSAdminServlet extends AdminServlet {
         try {
             @SuppressWarnings("unchecked")
             Enumeration<String> enum1 = req.getParameterNames();
-            String pkcs = "";
-            String type = "";
             String tokenName = Constants.PR_INTERNAL_TOKEN_NAME;
             String keyType = "RSA";
-            int keyLength = 512;
-            String subjectName = "";
             KeyCertData properties = new KeyCertData();
-            String pathname = "";
 
-            String configPath = "";
             String newtokenname = null;
 
             while (enum1.hasMoreElements()) {
                 String key = (String) enum1.nextElement();
                 String value = req.getParameter(key);
 
-                if (key.equals("pathname")) {
-                    configPath = mConfig.getString("instanceRoot", "")
-                               + File.separator + "conf" + File.separator;
-                    pathname = configPath + value;
-                } else {
+                if (!key.equals("pathname")) {
                     if (key.equals(Constants.PR_TOKEN_NAME))
                         newtokenname = value;
                     properties.put(key, value);
@@ -1526,8 +1485,6 @@ public final class CMSAdminServlet extends AdminServlet {
 
             ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
                     CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
-            IDBSubsystem dbs = (IDBSubsystem)
-                    CMS.getSubsystem(CMS.SUBSYSTEM_DBS);
             ICertificateAuthority ca = (ICertificateAuthority)
                     CMS.getSubsystem(CMS.SUBSYSTEM_CA);
             ICertificateRepository repository =
@@ -1633,11 +1590,11 @@ public final class CMSAdminServlet extends AdminServlet {
             } else if (properties.getKeyLength() != null) { //new RSA or DSA
                 keyType = properties.getKeyType();
                 String keyLen = properties.getKeyLength();
-                PQGParams pqgParams = null;
 
                 if (keyType.equals("DSA")) {
-                    pqgParams = jssSubSystem.getCAPQG(Integer.parseInt(keyLen),
-                                                      mConfig);
+                    @SuppressWarnings("unused")
+                    PQGParams pqgParams =
+                            jssSubSystem.getCAPQG(Integer.parseInt(keyLen), mConfig); // check for errors
                     //properties.put(Constants.PR_PQGPARAMS, pqgParams);
                 }
                 pair = jssSubSystem.getKeyPair(properties);
@@ -2342,7 +2299,6 @@ public final class CMSAdminServlet extends AdminServlet {
         // to the signed audit log and stored as failures
         try {
             String b64Cert = "";
-            String certType = "";
             String pathname = "";
             String serverRoot = "";
             String serverID = "";
@@ -2358,8 +2314,6 @@ public final class CMSAdminServlet extends AdminServlet {
                 // really should be PR_CERT_CONTENT
                 if (key.equals(Constants.PR_PKCS10))
                     b64Cert = value;
-                else if (key.equals(Constants.RS_ID))
-                    certType = value;
                 else if (key.equals("pathname"))
                     pathname = value;
                 else if (key.equals(Constants.PR_SERVER_ROOT))
@@ -2724,7 +2678,6 @@ public final class CMSAdminServlet extends AdminServlet {
         String nickname = "";
         String serialno = "";
         String issuername = "";
-        Locale locale = super.getLocale(req);
         NameValuePairs pairs = new NameValuePairs();
 
         while (enum1.hasMoreElements()) {
@@ -2888,31 +2841,7 @@ public final class CMSAdminServlet extends AdminServlet {
     private void validateKeyLength(HttpServletRequest req,
             HttpServletResponse resp) throws ServletException,
             IOException, EBaseException {
-        @SuppressWarnings("unchecked")
-        Enumeration<String> enum1 = req.getParameterNames();
-        String keyType = "RSA";
-        String keyLen = "512";
-        String certType = "";
 
-        while (enum1.hasMoreElements()) {
-            String key = (String) enum1.nextElement();
-            String value = req.getParameter(key);
-
-            if (key.equals(Constants.PR_CERTIFICATE_TYPE)) {
-                certType = value;
-            } else if (key.equals(Constants.PR_KEY_TYPE)) {
-                keyType = value;
-            } else if (key.equals(Constants.PR_KEY_LENGTH)) {
-                keyLen = value;
-            }
-        }
-        int keyLength = Integer.parseInt(keyLen);
-        int minKey = mConfig.getInteger(
-                ConfigConstants.PR_RSA_MIN_KEYLENGTH, 512);
-        ICryptoSubsystem jssSubSystem = (ICryptoSubsystem)
-                CMS.getSubsystem(CMS.SUBSYSTEM_CRYPTO);
-
-        // jssSubSystem.checkKeyLength(keyType, keyLength, certType, minKey);
         sendResponse(SUCCESS, null, null, resp);
     }
 
@@ -2979,17 +2908,12 @@ public final class CMSAdminServlet extends AdminServlet {
         Enumeration<String> enum1 = req.getParameterNames();
 
         String nickname = "";
-        String keyType = "RSA";
-        String keyLen = "512";
-        String certType = "";
-        String configDir = "";
 
         while (enum1.hasMoreElements()) {
             String key = (String) enum1.nextElement();
             String value = req.getParameter(key);
 
             if (key.equals(Constants.RS_ID)) {
-                certType = value;
                 nickname = getNickname(value);
                 break;
             }
@@ -3011,10 +2935,6 @@ public final class CMSAdminServlet extends AdminServlet {
         Enumeration<String> enum1 = req.getParameterNames();
 
         String nickname = "";
-        String keyType = "RSA";
-        String keyLen = "512";
-        String certType = "";
-        String configDir = "";
 
         while (enum1.hasMoreElements()) {
             String key = (String) enum1.nextElement();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
index bfd5004a2b52f72e05c3a9ee0a9e397f32612b1c..a9baa874c32bf931d6aa24bd77b8afce6edef0b9 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/JobsAdminServlet.java
@@ -640,9 +640,7 @@ public class JobsAdminServlet extends AdminServlet {
         // only remove from memory
         // cannot shutdown because we don't keep track of whether it's
         // being used. 
-        IJob jobInst = (IJob) mJobsSched.getInstances().get(id);
-
-        mJobsSched.getInstances().remove((Object) id);
+        mJobsSched.getInstances().remove(id);
 
         // remove the configuration.
         IConfigStore destStore =
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
index dadbf4088a7b3e77c30460b57598f656bedae5c3..ff70a5c53f24356928dcb4e865b5384ade869625 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
@@ -2352,7 +2352,7 @@ public class LogAdminServlet extends AdminServlet {
                 }
             } else if (key.equals(Constants.PR_DEBUG_LOG_LEVEL)) {
                 try {
-                    int number = Integer.parseInt(value);
+                    Integer.parseInt(value); // check for errors
                     mConfig.putString(Constants.PR_DEBUG_LOG_LEVEL, value);
                 } catch (NumberFormatException e) {
                     CMS.debug("setGeneralConfig: Invalid value for " + Constants.PR_DEBUG_LOG_LEVEL + ": " + value);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
index cbc406997eb6661b7663f3dfaf5fd571d70545e1..8e67c3402e44be4d64668fff2fce4ed46668345e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/ProfileAdminServlet.java
@@ -210,7 +210,6 @@ public class ProfileAdminServlet extends AdminServlet {
             throws ServletException, IOException {
         // Get operation type
         String op = req.getParameter(Constants.OP_TYPE);
-        String scope = super.getParameter(req, Constants.OP_SCOPE);
 
         if (op.equals(OpDef.OP_READ)) {
             if (!readAuthorize(req, resp))
@@ -232,7 +231,6 @@ public class ProfileAdminServlet extends AdminServlet {
             throws ServletException, IOException {
         // Get operation type
         String op = req.getParameter(Constants.OP_TYPE);
-        String scope = super.getParameter(req, Constants.OP_SCOPE);
 
         if (op.equals(OpDef.OP_READ)) {
             if (!readAuthorize(req, resp))
@@ -460,8 +458,6 @@ public class ProfileAdminServlet extends AdminServlet {
             String setId = ss.nextToken();
             String pId = ss.nextToken();
 
-            IProfilePolicy policy = null;
-
             try {
                 if (!isValidId(setId)) {
                     sendResponse(ERROR,
@@ -479,7 +475,7 @@ public class ProfileAdminServlet extends AdminServlet {
                             null, resp);
                     return;
                 }
-                policy = profile.createProfilePolicy(setId, pId,
+                profile.createProfilePolicy(setId, pId,
                             defImpl, conImpl);
             } catch (EBaseException e1) {
                 // error
@@ -590,7 +586,6 @@ public class ProfileAdminServlet extends AdminServlet {
                 return;
             }
 
-            IProfileInput input = null;
             @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
             NameValuePairs nvps = new NameValuePairs();
@@ -608,7 +603,7 @@ public class ProfileAdminServlet extends AdminServlet {
             }
 
             try {
-                input = profile.createProfileInput(inputId, inputImpl, nvps);
+                profile.createProfileInput(inputId, inputImpl, nvps);
             } catch (EBaseException e1) {
                 // error
 
@@ -717,7 +712,6 @@ public class ProfileAdminServlet extends AdminServlet {
                 return;
             }
 
-            IProfileOutput output = null;
             @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
             NameValuePairs nvps = new NameValuePairs();
@@ -735,7 +729,7 @@ public class ProfileAdminServlet extends AdminServlet {
             }
 
             try {
-                output = profile.createProfileOutput(outputId, outputImpl,
+                profile.createProfileOutput(outputId, outputImpl,
                             nvps);
             } catch (EBaseException e1) {
                 // error
@@ -1207,7 +1201,6 @@ public class ProfileAdminServlet extends AdminServlet {
 
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyDefault def = policy.getDefault();
-            IConfigStore defConfig = def.getConfigStore();
 
             @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
@@ -1345,7 +1338,6 @@ public class ProfileAdminServlet extends AdminServlet {
 
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyConstraint con = policy.getConstraint();
-            IConfigStore conConfig = con.getConfigStore();
 
             @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
@@ -1484,7 +1476,6 @@ public class ProfileAdminServlet extends AdminServlet {
             String pId = ss.nextToken();
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyDefault def = policy.getDefault();
-            IConfigStore defConfig = def.getConfigStore();
 
             @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
@@ -1858,7 +1849,6 @@ public class ProfileAdminServlet extends AdminServlet {
             String pId = ss.nextToken();
             IProfilePolicy policy = profile.getProfilePolicy(setId, pId);
             IPolicyConstraint con = policy.getConstraint();
-            IConfigStore conConfig = con.getConfigStore();
 
             @SuppressWarnings("unchecked")
             Enumeration<String> names = req.getParameterNames();
@@ -2072,9 +2062,7 @@ public class ProfileAdminServlet extends AdminServlet {
             while (policies.hasMoreElements()) {
                 IProfilePolicy policy = (IProfilePolicy) policies.nextElement();
                 IPolicyDefault def = policy.getDefault();
-                IConfigStore defConfig = def.getConfigStore();
                 IPolicyConstraint con = policy.getConstraint();
-                IConfigStore conConfig = con.getConfigStore();
 
                 nvp.add(setId + ":" + policy.getId(),
                         def.getName(getLocale(req)) + ";" +
@@ -2230,13 +2218,6 @@ public class ProfileAdminServlet extends AdminServlet {
 
         while (e.hasMoreElements()) {
             String profileId = e.nextElement();
-            IProfile profile = null;
-
-            try {
-                profile = mProfileSub.getProfile(profileId);
-            } catch (EBaseException e1) {
-                // error
-            }
 
             String status = null;
 
@@ -2480,7 +2461,6 @@ public class ProfileAdminServlet extends AdminServlet {
 
             String impl = req.getParameter("impl");
             String name = req.getParameter("name");
-            String desc = req.getParameter("desc");
             String visible = req.getParameter("visible");
             String auth = req.getParameter("auth");
             String config = null;
